%global momorel 3

Summary: perl-Net-Daemon
Name: perl-Net-Daemon
Version: 0.43
Release: %{momorel}m%{?dist}
License: GPL or Artistic
Group: Development/Languages
Source0: http://www.cpan.org/modules/by-module/Net/Net-Daemon-%{version}.tar.gz 
NoSource: 0
URL: http://www.cpan.org/modules/by-module/Net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildPrereq: perl >= 5.8.5

%description
The Net::Daemon module

%prep
rm -rf %{buildroot}

%setup -q -n Net-Daemon

%build
CFLAGS="%optflags" perl Makefile.PL INSTALLDIRS=vendor
make
# make test

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
rm -f %{buildroot}%{perl_vendorarch}/auto/Net/Daemon/.packlist
rm -rf %{buildroot}%{perl_vendorlib}/.svn
rm -rf %{buildroot}%{perl_vendorlib}/Net/.svn

%clean
rm -rf %{buildroot}

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.43-3m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.43-2m)
- %%NoSource -> NoSource

* Tue Jul 17 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.43-1m)
- update to 0.43

* Thu Jul  5 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.42-1m)
- update to 0.42

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.41-1m)
- update to 0.41

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.39-2m)
- use vendor

* Sun May 07 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.39-1m)
- update to 0.39

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.38-6m)
- built against perl-5.8.8

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.38-5m)
- rebuilt against perl-5.8.7

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.38-4m)
- rebuild against perl-5.8.5

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.38-3m)
- remove Epoch from BuildPrereq

* Fri Mar 26 2004 Toru Hoshina <t@momonga-linux.org>
- (0.38-2m)
- revised spec for rpm 4.2.

* Sun Nov 16 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.38-1m)

* Sun Nov 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.37-4m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.37-3m)
- rebuild against perl-5.8.1

* Mon Oct 13 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.37-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Sun Nov 24 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.37-1m)
- rebuild against perl-5.8.0

* Sat Aug  3 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.36-4m)
- fix %files (Changes -> ChangeLog)

* Tue Jul 30 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.36-3m)
- remove BuildPreReq: gcc2.95.3

* Thu Feb 28 2002 Shingo Akagaki <dora@kondara.org>
- (0.36-2k)
- create

%files
%defattr(-,root,root)
%doc ChangeLog README 
%{_mandir}/man?/*
%{perl_vendorlib}/Net/Daemon*
